import role
import hs_roles
import unittest

class TestBasicRoles(unittest.TestCase):
    def test_pam(self):
        tgrp = role.PamGroup('root')
        admgrp = role.PamGroup('adm')
        self.assertFalse(admgrp('tester'))
        self.assertTrue(admgrp('root'))
    def test_ldap(self):
        c = role.LDAPRole.make_connection('ldap://ldap.hackerspace.pl')
        l1 = role.GroupOfNames('cn=xmpp-users,ou=Group,dc=hackerspace,dc=pl')
        context = role.Context(ldap_connection=c)
        self.assertTrue(l1('uid=ola,ou=People,dc=hackerspace,dc=pl', context))
        l2 = hs_roles.GroupOfNames('cn=xmpp-users,ou=Group,dc=hackerspace,dc=pl')
        self.assertTrue(l2('ola', context))
        l3 = role.PosixGroup('cn=staff,ou=Group,dc=hackerspace,dc=pl')
        self.assertFalse(l3('tester', context))
        self.assertTrue((l1 | l2)('ola', context))

if __name__ == '__main__':
    unittest.main()
